Summary:	Realtime software synthesizer
Summary(pl.UTF-8):	Syntezator programowy działający w czasie rzeczywistym
Name:		zynaddsubfx
Version:	3.0.3
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	66acae0913108f129aa979f3c4b65473
Patch0:		cxx_flags.patch
URL:		http://zynaddsubfx.sourceforge.net/
BuildRequires:	alsa-lib-devel
#BuildRequires:	doxygen
BuildRequires:	dssi-devel >= 0.9.0
BuildRequires:	fftw3-devel
BuildRequires:	fltk-devel >= 1.1.3
BuildRequires:	jack-audio-connection-kit-devel >= 0.66.3
BuildRequires:	lash-devel
BuildRequires:	liblo-devel >= 0.28
BuildRequires:	mxml-devel >= 2.2
BuildRequires:	pkgconfig
BuildRequires:	portaudio >= 19
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
Obsoletes:	ZynAddSubFX
Obsoletes:	zynaddsubfx-fussion
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprovfiles	%{_libdir}/(dssi|lv2|vst)

%description
ZynAddSubFX is a software synthesizer capable of making a countless
number of instruments.

%description -l pl.UTF-8
ZynAddSubFX jest programowym syntezatorem zdolnym do tworzenia
niezliczonej ilości instrumentów.

%package dssi
Summary:	Realtime software synthesizer - DSSI plugin
Summary(pl.UTF-8):	Syntezator programowy działający w czasie rzeczywistym, plugin DSSI
Group:		X11/Applications/Sound
Obsoletes:	ZynAddSubFX-dssi
Obsoletes:	zynaddsubfx-fussion-dssi
Requires:	%{name} = %{version}-%{release}

%description dssi
ZynAddSubFX software synthesizer as a DSSI plugin.

%description dssi -l pl.UTF-8
Syntezator ZynAddSubFX jako wtyczka DSSI.

%package lv2
Summary:	Realtime software synthesizer - LV2 plugin
Summary(pl.UTF-8):	Syntezator programowy działający w czasie rzeczywistym, plugin LV2
Group:		X11/Applications/Sound
Obsoletes:	ZynAddSubFX-lv2
Obsoletes:	zynaddsubfx-fussion-lv2
Requires:	%{name} = %{version}-%{release}

%description lv2
ZynAddSubFX software synthesizer as a LV2 plugin.

%description lv2 -l pl.UTF-8
Syntezator ZynAddSubFX jako wtyczka LV2.

%package vst
Summary:	Realtime software synthesizer - VST plugin
Summary(pl.UTF-8):	Syntezator programowy działający w czasie rzeczywistym, plugin VST
Group:		X11/Applications/Sound
Obsoletes:	ZynAddSubFX-vst
Obsoletes:	zynaddsubfx-fussion-vst
Requires:	%{name} = %{version}-%{release}

%description vst
ZynAddSubFX software synthesizer as a VST plugin.

%description vst -l pl.UTF-8
Syntezator ZynAddSubFX jako wtyczka VST.

%prep
%setup -qn %{name}-%{version}

%patch0 -p1

%build

mkdir build
cd build
%cmake .. \
	-DPluginLibDir=%{_lib} \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}} \
	$RPM_BUILD_ROOT%{_desktopdir}

%{__make} -C build install \
	DESTDIR="$RPM_BUILD_ROOT"

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt HISTORY.txt README.adoc
%attr(755,root,root) %{_bindir}/zynaddsubfx
%attr(755,root,root) %{_bindir}/zynaddsubfx-ext-gui
%{_datadir}/zynaddsubfx
%{_pixmapsdir}/zynaddsubfx.svg
%{_desktopdir}/zynaddsubfx-*.desktop

%files dssi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dssi/libzynaddsubfx_dssi.so

%files lv2
%defattr(644,root,root,755)
%dir %{_libdir}/lv2/*.lv2
%dir %{_libdir}/lv2/ZynAddSubFX.lv2presets
%attr(755,root,root) %{_libdir}/lv2/*.lv2/*.so
%{_libdir}/lv2/*.lv2/*.ttl
%{_libdir}/lv2/ZynAddSubFX.lv2presets/*.ttl

%files vst
%defattr(644,root,root,755)
%dir %{_libdir}/vst
%attr(755,root,root) %{_libdir}/vst/*.so
%changelog
* Thu Aug 09 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zynaddsubfx.git;a=log;h=master

* Thu Aug 09 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 36aa185
- Obsolete: zynaddsubfx-fussion (alternative UI version)

* Thu Aug 09 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> e8ad3cc
- fix ZynAddSubFX obsoletes

* Tue Aug 07 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> fc28130
- dssi build dependency fix

* Tue Aug 07 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> a3fcee2
- renamed to zynaddsubfx

* Mon May 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 3b12312
- doesn't build on x32

* Mon May 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 823d9ec
- Version: 3.0.3

* Wed Dec 07 2011 Łukasz Krotowski <lkrotowski@pld-linux.org> c89dac1
- up to 2.4.1
- restored docs
- corrected banks directory (name in lowercase in datadir)
- corrected br

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> e68c3a2
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Fri Dec 21 2007 Szymon Siwek <sls@pld-linux.org> 1585071
- fix parallel build

* Fri Dec 21 2007 Szymon Siwek <sls@pld-linux.org> 4e25711
- added make-jN.patch
- remove BR: XFree86-devel (fltk-devel is enough)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3fb2ffb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b58c023
- converted to UTF-8

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 349551f
- use x8664 macro

* Tue May 03 2005 freetz <freetz@pld-linux.org> 928dddc
- 2.2.1, updated mxml BR

* Sat Apr 23 2005 Jakub Bogusz <qboosh@pld-linux.org> caed769
- disable asm F2I on !x86*; release 2

* Thu Apr 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 409d9a8
- avoid df errors, don't use mesh.dl (not browsable)

* Thu Apr 14 2005 freetz <freetz@pld-linux.org> c2f8da8
- absolutely amazing software synth udated to best version ever 2.2.0
- disabled outdated docs

* Sat Mar 19 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> ddc8a41
- install banks/* files

* Wed Nov 24 2004 freetz <freetz@pld-linux.org> 475726d
- rel.2 for rebuild with mxml-2.1

* Thu Nov 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 944af71
- fixed CXX, BR: sed 4.0, reduced sf URLs entropy

